Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow

From: Stefan Kangas <[email-masked]>
Date: Thu, 8 Aug 2019 05:30:00 +0200

Mathias Dahl <[email-masked]> writes:

>> Also, how is this comparable with the 7 seconds you reported
>> originally?  This says it only takes 4 to visit a file, not 7.
>
> I got 7 seconds in vanilla emacs -Q (no settings changed), IIRC. I
> will test some more when I get the time.

Hi Mathias,

I'm writing this in reply to a 9 year old bug report of yours against
Emacs.  I've included your original bug report below for reference, and
you can read the full discussion at: https://debbugs.gnu.org/5833

Did you ever have a chance to look into this more in the intervening
years?  Can you still reproduce this issue on the latest version of
Emacs (26.2)?

Thanks in advance.

Best regards,
Stefan Kangas

Mathias Dahl <[email-masked]> writes:

> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug.  If you can, give
> a recipe starting from `emacs -Q':
>
> I did this:
>
> emacs -Q
> C-x C-f //some_server/some_share/ RET
> Then, on some file in Dired, opened a file with f or RET.
>
> This operation is much slower than the same operation done using
> Notepad. For a file about 80 KB in size it takes about one second in
> Notepad and 5-6 seconds in Emacs.
>
> I have tried some tips found in old threads about this, like turning off
> some vc-parameter and some parameter controlling whether extra
> properties should be fetched (or something like that) for shares. No
> effect though. Opening local files is blazingly fast.
>
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>     `bt full' and `xbacktrace'.
> For information about debugging Emacs, please read the file
> d:/pgm/emacs/etc/DEBUG.
>
>
> In GNU Emacs 23.1.94.1 (i386-mingw-nt5.1.2600)
>  of 2010-03-23 on G41R2F1
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (3.4) --no-opt --cflags
> -Ic:/imagesupport/include'
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: SVE
>   value of $XMODIFIERS: nil
>   locale-coding-system: cp1252
>   default enable-multibyte-characters: t
>
> Major mode: Dired by name
>
> Minor modes in effect:
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> C-x C-f C-y <return> <down> <down> <down> <return>
> <down-mouse-1> <mouse-1> M-: C-y <return> q M-: C-y
> <home> <right> <right> <right> <right> q <end> <return>
> C-x k <return> <up> <up> <return> <f5> <down> <up>
> <down> C-x k <return> M-x f i n d SPC f i l <tab> SPC
> l i <tab> <return> 5 1 0 0 <tab> <return> C-x k <return>
> <help-echo> <down> <down> <down> <down> <down> <down>
> <down> <down> <down> <down> <down> <down> <down> <down>
> <down> <down> C C-a C-k c Ö - <backspace> <backspace>
> : / m u u . t x t <return> C-x C-f <up> <return> <f5>
> <down> <up> C-x k <return> C-h c f f C-x k <return>
> <lwindow> <help-echo> <help-echo> <help-echo> <help-echo>
> <help-echo> <help-echo> <menu-bar> <help-menu> <se
> nd-emacs-bug-report>
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Entering debugger...
> Back to top level.
> nil
> Copy: 1 of 1
> Copy: 1 file
> f runs the command dired-find-file
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr message ecomplete rfc822 mml mml-sec
> password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
> rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
> time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
> hex-util hashcash mail-utils emacsbug dired-aux help-mode easymenu view
> debug dired regexp-opt tooltip ediff-hook vc-hooks lisp-float-type
> mwheel dos-w32 disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset
> image fringe lisp-mode register page menu-bar rfn-eshadow timer select
> scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
> frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
> tai-viet lao korean japanese hebrew greek romanian slovak czech european
> ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
> simple abbrev loaddefs button minibuffer faces cus-face files
> text-properties overlay md5 base64 format env code-pages mule custom
> widget hashtable-print-readable backquote make-network-process multi-tty
> emacs)